For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Get KYC Requirement

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/kyc/requirement
GET
/api/v2/kyc/requirement
$curl -G https://api-gateway-stg.transak.com/api/v2/kyc/requirement \
> -H "authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampletoken1234567890" \
> -H "x-user-identifier: user@example.com" \
> -H "x-access-token: partner-access-token-9876543210" \
> -H "Content-Type: application/json" \
> -d "metadata[quoteId]=QTE1234567890" \
> -d apiKey=a1b2c3d4e5f67890abcdef1234567890
1{
2 "data": {
3 "isAllowedToPlaceOrder": true,
4 "status": "ADDITIONAL_FORMS_REQUIRED",
5 "kycType": "ENHANCED"
6 }
7}
The **Get KYC Requirement** is an **authenticated API call** that dynamically returns the **KYC status of the User** based on the **quote ID**. Since Transak supports **multi-level KYC** across different countries, this API helps determine the exact KYC requirements for a user before proceeding with transactions. The **quote ID** must be passed when calling this API, as it determines the required **KYC level (Simple KYC, Standard KYC, etc.)**. The response includes the kyc status which can be - - **NOT_SUBMITTED** → personal and address details are not submitted. - **APPROVED** → KYC is approved - **SUBMITTED** → KYC is submitted - **ADDITIONAL_FORMS_REQUIRED** → Additional KYC information required which can be fetched using GET Additional Requirements API.
Was this page helpful?
Previous

Onboard User (Auth Reliance)

Next

Get Additional Requirements

Built with

The Get KYC Requirement is an authenticated API call that dynamically returns the KYC status of the User based on the quote ID. Since Transak supports multi-level KYC across different countries, this API helps determine the exact KYC requirements for a user before proceeding with transactions.
The quote ID must be passed when calling this API, as it determines the required KYC level (Simple KYC, Standard KYC, etc.). The response includes the kyc status which can be -

  • NOT_SUBMITTED → personal and address details are not submitted.

  • APPROVED → KYC is approved

  • SUBMITTED → KYC is submitted

  • ADDITIONAL_FORMS_REQUIRED → Additional KYC information required which can be fetched using GET Additional Requirements API.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

metadata[quoteId]stringRequired

Quote Id generated from api/v2/lookup/quotes

apiKeystringRequired
Your API Key from Transak Dashboard

Response

200 - Enhanced KYC Additional Forms Required

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error